X2Go Bug report logs - #769
pyhoca-gui gtk3 support

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Mon, 26 Jan 2015 21:40:01 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.3

Fixed in version 0.5.0.5

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#769; Package pyhoca-gui. (Mon, 26 Jan 2015 21:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 26 Jan 2015 21:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: pyhoca-gui gtk3 support
Date: Mon, 26 Jan 2015 14:39:09 -0700
Package: pyhoca-gui
Version: 0.5.0.3

Fedora rawhide is in the process of moving to wxPython 3.0 with gtk3 support.
 This appears to be breaking pyhoca-gui:

/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_set_qdata: assertion 'node != NULL' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot
register existing type 'GtkWidget'
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE
(instance_type)' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot
register existing type 'GtkBuildable'
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_interface_add_prerequisite: assertion 'G_TYPE_IS_INTERFACE
(interface_type)' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_once_init_leave: assertion 'result != 0' failed
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning:
g_type_register_static: assertion 'parent_type > 0' failed
  from gtk import _gtk


I believe this is because we are mixing a gtk2 based notify-python module with
the gtk3 wxPython module.  This seems like further impetus to move to a modern
python libnotify interface, either notify2 or gobject introspection Notify.

Code difference for gi appears to be:

diff --git a/pyhoca/wxgui/notify.py b/pyhoca/wxgui/notify.py
index bc49028..85f0d52 100644
--- a/pyhoca/wxgui/notify.py
+++ b/pyhoca/wxgui/notify.py
@@ -22,7 +22,7 @@ import wx
 from x2go import X2GOCLIENT_OS
 from x2go import log
 if X2GOCLIENT_OS in ('Linux', 'Mac'):
-    import pynotify
+    from gi.repository import Notify
 import exceptions
 import basepath

@@ -52,7 +52,7 @@ class libnotify_NotifierPopup(object):
         self._PyHocaGUI = _PyHocaGUI
         self._pyhoca_logger = self._PyHocaGUI._pyhoca_logger

-        if not pynotify.init("PyHocaGUI"):
+        if not Notify.init("PyHocaGUI"):
             raise NotSupportedException

     def prepare(self, context, title=None, text=None, icon=None, timeout=None):
@@ -132,8 +132,8 @@ class libnotify_NotifierPopup(object):

         try:
             if not self._PyHocaGUI.disable_notifications and title and text:
-                n = pynotify.Notification(title, text, icon)
-                n.set_urgency(pynotify.URGENCY_NORMAL)
+                n = Notify.Notification.new(title, text, icon)
+                n.set_urgency(Notify.Urgency.NORMAL)
                 n.set_timeout(timeout)
                 n.show()
         except:


Although with that change, unless I comment out the set_urgency() call, I
don't see the message "SSH key authentication has been successful." pop-up
above the pyhoca-gui icon.  But perhaps the new behavior is proper.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#769; Package pyhoca-gui. (Tue, 26 May 2015 17:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>, 769@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 26 May 2015 17:35:02 GMT) (full text, mbox, link).


Message #10 received at 769@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: 769@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#769: pyhoca-gui gtk3 support
Date: Tue, 26 May 2015 11:22:32 -0600
Now that F22 is out, we've gotten a bug report on this:

https://bugzilla.redhat.com/show_bug.cgi?id=1225142

I'm going to push a package with my change, but I think it's incomplete.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#769; Package pyhoca-gui. (Wed, 27 May 2015 10:20:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 27 May 2015 10:20:03 GMT) (full text, mbox, link).


Message #15 received at 769@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 769-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 769@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Wed, 27 May 2015 12:16:37 +0200 (CEST)
tag #769 pending
fixed #769 0.5.0.5
thanks

Hello,

X2Go issue #769 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=e44e848

The issue will most likely be fixed in src:pyhoca-gui (0.5.0.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e44e848415eff3e4dab69e990adfc447e79143f8
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed May 27 11:50:04 2015 +0200

    Handle notification the GTK3-way. (Fixes: #769).

diff --git a/debian/changelog b/debian/changelog
index ec3730d..0b6c3fe 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 pyhoca-gui (0.5.0.5-0x2go1) UNRELEASED; urgency=medium
 
-  * Continue development...
+  * New upstream version (0.5.0.5):
+    - Handle notification the GTK3-way. (Fixes: #769).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 27 May 2015 11:46:24 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 27 May 2015 10:20:04 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.0.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 27 May 2015 10:20:04 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#769. (Wed, 27 May 2015 10:20:07 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#769; Package pyhoca-gui. (Thu, 28 Jan 2016 17:35:04 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 28 Jan 2016 17:35:05 GMT) (full text, mbox, link).


Message #27 received at 769@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 769-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 769@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Thu, 28 Jan 2016 18:33:22 +0100 (CET)
close #769
thanks

Hello,

we are very hopeful that X2Go issue #769 reported by you
has been resolved in the new release (0.5.0.5) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.5.0.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=c6680da4cacd7a6c3ce155f4180630abbb4a550a;hp=301225fa55b2ebe503fa4705bbbda119b4a549eb

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.5.0.5-0x2go1
Status: RELEASE
Date: Thu, 28 Jan 2016 18:23:00 +0100
Fixes: 689 769 979
Changes: 
 pyhoca-gui (0.5.0.5-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.5.0.5):
     - Handle notification the GTK3-way. (Fixes: #769).
     - Catch a wx._core.PyAssertionError (C++ assertion "IsOk()" failed at
       ../src/common/image.cpp(429) in Scale(): invalid image) when
       rendering icons in the published applications menu. (Fixes: #979).
   * debian/control,pyhoca-gui.specs:
     + Pull-in gobject introspection packages for libnotify support.
       Fallback to pynotify (GTK2 based notifcations) only if
       gi.repository.Notify is unavailable. (Fixes: #689).
 .
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.5):
   * debian/control:
     - Drop python-support run-time dependency, add dh-python alternative to
       python-support build dependency.
       Needed at least for unstable, which has no python-support package
       anymore.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 28 Jan 2016 17:35:09 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Thu, 28 Jan 2016 17:35:09 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#769. (Thu, 28 Jan 2016 17:35:19 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 26 Feb 2016 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Sep 17 10:48:15 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.